Package org.apache.catalina.core

## Class ApplicationMapping

- java.lang.Object
- - org.apache.catalina.core.ApplicationMapping

    public class ApplicationMapping
    extends java.lang.Object

### Constructor Summary

Constructors
`ApplicationMapping​(MappingData mappingData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpServletMapping` `getHttpServletMapping()`
`void` `recycle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApplicationMapping

    public ApplicationMapping​(MappingData mappingData)

### Method Detail

#### getHttpServletMapping

    public HttpServletMapping getHttpServletMapping()

#### recycle

    public void recycle()